# HG changeset patch
# User Timo Sirainen <tss@iki.fi>
# Date 1286241631 -3600
# Node ID e2f9baa436f29b27e2bf78d4c79ab0be5b8f4b51
# Parent  4db5123f91e4c25eb8d27cc4df8bed448cd7bf01
maildir: Don't assert-crash when saving a message without locking uidlist.

diff -r 4db5123f91e4 -r e2f9baa436f2 src/lib-storage/index/maildir/maildir-save.c
--- a/src/lib-storage/index/maildir/maildir-save.c	Mon Oct 04 17:16:38 2010 +0100
+++ b/src/lib-storage/index/maildir/maildir-save.c	Tue Oct 05 02:20:31 2010 +0100
@@ -854,7 +854,11 @@
 		prev_mf = mf;
 	}
 
-	maildir_sync_set_new_msgs_count(ctx->sync_ctx, array_count(&files));
+	if (ctx->locked) {
+		i_assert(ctx->sync_ctx != NULL);
+		maildir_sync_set_new_msgs_count(ctx->sync_ctx,
+						array_count(&files));
+	}
 	return maildir_transaction_fsync_dirs(ctx, new_changed, cur_changed);
 }
 
